NullOutputLogTarget (LogKit API)
Keywords: org.apache.log.output.NullOutputLogTarget,NullOutputLogTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output
Class NullOutputLogTarget

    java.lang.Object
      |
      +--org.apache.log.output.AbstractTarget
            |
            +--org.apache.log.output.AbstractOutputTarget
                  |
                  +--org.apache.log.output.NullOutputLogTarget

All Implemented Interfaces:
  ErrorAware, LogTarget

public class NullOutputLogTarget
extends AbstractOutputTarget

A output target that does nothing. Useful for profiling.

Author:
  Avalon Development Team, Peter Donald

Field Summary

Fields inherited from class org.apache.log.output.AbstractOutputTarget
`m_formatter`

Constructor Summary
`NullOutputLogTarget()` Creation of a new null log target.

Method Summary
`protected void` | `write(String data)` Do nothing output method.

Methods inherited from class org.apache.log.output.AbstractOutputTarget
`close, doProcessEvent, getFormatter, open, output, setFormatter`

Methods inherited from class org.apache.log.output.AbstractTarget
`error, getErrorHandler, isOpen, processEvent, setErrorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullOutputLogTarget

    public NullOutputLogTarget()

  Creation of a new null log target.

Method Detail

### write

    protected void write(String data)

  Do nothing output method.

  Overrides:
    `write` in class `AbstractOutputTarget`
  Parameters:
    `data` - the data to be output

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.